function radiative_loss,t_s,ne_s,code,reference 
 
if (n_params(1) eq 2) then code=0

n	=n_elements(t_s)
p_t	=fltarr(n)

if (code eq -2) then begin
 reference='RTV (1978) 2-part approximation in Appendix A'
 t_log	=alog10(t_s)
 ind0	=where((0.0  le t_log) and (t_log le 5.11),n0)
 ind1	=where((5.11 le t_log) and (t_log le 99.0),n1)
 if (n0 ne 0) then p_t(ind0)=10.^(-29.04)*3.*t_s(ind0)^(+1.5)	
 if (n1 ne 0) then p_t(ind1)=10.^(-18.81)*t_s(ind1)^(-0.5)
endif

if (code eq -1) then begin
 reference='RTV (1978) 1-part approximation in Appendix A'
 t_log	=alog10(t_s)
 p_t	=10.^(-18.81)*t_s^(-0.5)
endif

if (code eq 0) then begin
 reference='Rosner, Tucker & Vaiana (1978)'
 t_log	=alog10(t_s)
 ind0	=where((0.0  le t_log) and (t_log le 4.0), n0)
 ind1	=where((4.0  le t_log) and (t_log le 4.6), n1)
 ind2	=where((4.6  le t_log) and (t_log le 4.9), n2)
 ind3	=where((4.9  le t_log) and (t_log le 5.4), n3)
 ind4	=where((5.4  le t_log) and (t_log le 5.75),n4)
 ind5	=where((5.75 le t_log) and (t_log le 6.3) ,n5)
 ind6	=where((6.3  le t_log) and (t_log le 7.0) ,n6)
 ind7	=where((6.3  le t_log) and (t_log le 99.0),n7)
 if (n0 ne 0) then p_t(ind0)=10.^(-21.85)	;extrapolation
 if (n1 ne 0) then p_t(ind1)=10.^(-21.85)
 if (n2 ne 0) then p_t(ind2)=10.^(-31.00)*t_s(ind2)^2.
 if (n3 ne 0) then p_t(ind3)=10.^(-21.20)
 if (n4 ne 0) then p_t(ind4)=10.^(-10.40)*t_s(ind4)^(-2.)
 if (n5 ne 0) then p_t(ind5)=10.^(-21.94)
 if (n6 ne 0) then p_t(ind6)=10.^(-17.73)*t_s(ind6)^(-2./3.)
 if (n7 ne 0) then p_t(ind7)=10.^(-17.73)*t_s(ind7)^(-2./3.)	;extrapolation
endif

if (code eq 1) then begin
 reference='Cook, Cheng, Jacobs, & Antiochos (1989)'
 t_log	=alog10(t_s)
 t_spline=[4.0,4.3,4.7,5.0,5.3,5.7,6.0,6.3,6.7,7.0]
 p_spline=[0.16,1.62,2.43,3.88,3.26,2.90,2.77,0.673,0.158,0.194]*1.e-22
 p_t	=spline(t_spline,p_spline,t_log)
endif

if (code eq 2) then begin
 reference='Martens, Kankelborg, & Berger (2000) + Meyer abundances'
 t_log	=alog10(t_s)
 t_spline=[4.5,4.7,5.0,5.3,5.7,6.0,6.3,6.7,7.0]
 p_spline=1.e-23*10.^(3.*[65,69,78,75,72,72,41,10,15]/149.)
 p_t	=spline(t_spline,p_spline,t_log)
endif

if (code eq 3) then begin
 reference='Martens, Kankelborg, & Berger (2000) + Feldman abundances'
 t_log	=alog10(t_s)
 t_spline=[4.5,4.7,5.0,5.3,5.7,6.0,6.3,6.7,7.0]
 p_spline=1.e-23*10.^(3.*[80,85,78,80,99,99,68,31,37]/149.)
 p_t	=spline(t_spline,p_spline,t_log)
endif

if (code eq 4) then begin
 reference='J. Raymond (in Golub & Pasachoff 1997)'
 t_log	=alog10(t_s)
 t_spline=4.0+0.1*findgen(41)
 p_spline=1.e-23*10.^(2.*[0,50,78,70,61,64,73,86,104,116,116,108,103,102,100,88,73,71,71,72,72,74,74,70,63,48,38,35,37,40,40,33,24,19,16,16,17,19,22,24,26,30]/144.)
 p_t	=spline(t_spline,p_spline,t_log)
endif

if (code eq 5) then begin
 reference='Mewe (in Schrijver & Zwaan 2000)'
 t_log	=alog10(t_s)
 readcol,'~/idl_new/mewe.dat',temp,p_all,skipline=6
 t_spline=alog10(temp)
 p_spline=p_all*1.e-23
 p_t	=spline(t_spline,p_spline,t_log)
endif
e_rad	=-ne_s^2*p_t
return,e_rad
end

